SASL-SAMPLE-CLIENT(8)

NAME
sasl-sample-client — Sample client program for demonstrating and testing SASL authentication.

SYNOPSIS

sasl-sample-client [-b min=N,max=N] [-e ssf=N,id=ID] [-m MECH] [-f FLAGS] [-i local=IP,remote=IP] [-p PATH] [-s NAME] [-n FQDN] [-u ID] [-a ID]

DESCRIPTION

This manual page documents briefly the sasl-sample-client command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

sasl-sample-client is a program to demonstrate and test SASL authentication. It implements the client part, and the server part is available as sasl-sample-server.

OPTIONS

A summary of options is included below.

-b  Number of bits to use for encryption.

    min=N
        minimum number of bits to use (1 => integrity)

    max=N
        maximum number of bits to use

-e  Assume external encryption.

    ssf=N
        external mech provides N bits of encryption

    id=ID
        external mech provides authentication id ID

-m  Force use of MECH for security.

-f  Set security flags.

    noplain
        require security vs. passive attacks

    noactive
        require security vs. active attacks

    nodict
        require security vs. passive dictionary attacks

    forwardsec
        require forward secrecy

    maximum
        require all security flags

    passcred
        attempt to pass client credentials

-i  Set IP addresses (required by some mechs).

    local=IP;PORT
        set local address to IP, port PORT

    remote=IP;PORT
        set remote address to IP, port PORT

-p  Colon-separated search path for mechanisms.

-r  Realm to use.

-s  Service name passed to mechanisms.

-n  Server fully-qualified domain name.

-u  User (authorization) id to request.

-a  Id to authenticate as.

-d  Disable client-send-first.

-l  Enable server-send-last.

AUTHOR

This manual page was written by Fabian Fagerholm fabbe@debian.org for the Debian system (but may be used by others). Permission is granted to redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.